package com.artfess.ljzc.business.dao;

import com.artfess.ljzc.business.model.BizAssetBusinessBuilding;
import com.artfess.ljzc.business.vo.ProjectTreeVo;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 经营性资产的楼栋信息 Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-11-27
 */
public interface BizAssetBusinessBuildingDao extends BaseMapper<BizAssetBusinessBuilding> {

    IPage<BizAssetBusinessBuilding> findByPage(IPage<BizAssetBusinessBuilding> convert2IPage, @Param(Constants.WRAPPER) Wrapper<BizAssetBusinessBuilding> convert2Wrapper);

    List<ProjectTreeVo> projectAndBuildingTree(@Param("fullId") String fullId);

}
