package com.artfess.ljzc.fixed.manager;

import com.alibaba.fastjson.JSONObject;
import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.ljzc.fixed.model.BizAssetFixedInfo;
import com.artfess.base.manager.BaseManager;

import java.util.List;

/**
 * 固定资产信息 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-11-27
 */
public interface BizAssetFixedInfoManager extends BaseManager<BizAssetFixedInfo> {

    boolean createInfo(BizAssetFixedInfo t);

    BizAssetFixedInfo findById(String id);

    boolean updateInfo(BizAssetFixedInfo t);

    boolean removeInfo(List<String> asList);

    PageList<BizAssetFixedInfo> findByPage(QueryFilter<BizAssetFixedInfo> queryFilter);

    List<JSONObject> fixedStatistics(String fullId);
}
